import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
public class MainMidlet extends MIDlet implements CommandListener {
    private Display display; // Reference to display
    private AnimationCanvas canvas; // Game canvas
    private Command cmExit; // Exit command
    public MainMidlet() {
        display = Display.getDisplay(this);
        cmExit = new Command("Exit", Command.EXIT, 1);
// Create game canvas and exit command
        if ((canvas = new AnimationCanvas()) != null) {
            canvas.addCommand(cmExit);
            canvas.setCommandListener(this);
        }
    }
    public void startApp() {
        if (canvas != null) {
            display.setCurrent(canvas);
            canvas.start();
        }
    }
    public void pauseApp() {
    }
    public void destroyApp(boolean unconditional) {
        canvas.stop();
    }
    public void commandAction(Command c, Displayable s) {
        if (c == cmExit) {
            destroyApp(true);
            notifyDestroyed();
        }
    }
}
